org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaAbstractOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SchemaIndexAbstractOperation

    public abstract class SchemaAbstractOperation
    extends Object
    implements Serializable

Abstract operation on schema.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaAbstractOperation(UUID opId, String space)` Constructor.

### Method Summary

Methods
`UUID` `id()`
`String` `space()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaAbstractOperation

    public SchemaAbstractOperation(UUID opId,
                           String space)

Constructor.

Parameters:
  `opId` - Operation ID.
  `space` - Space.

### Method Detail

#### id

    public UUID id()

Returns:
  Operation id.

#### space

    public String space()

Returns:
  Space.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017